## edu.wisc.ssec.mcidas
Class GridDirectoryList

    java.lang.Object
      edu.wisc.ssec.mcidas.GridDirectoryList

public class GridDirectoryList
extends Object

GridDirectoryList interface for McIDAS 'grids'. Provides access to a list of one or more GridDirectoy objects.

Constructor Summary
`GridDirectoryList(String gridSource)` Creates an GridDirectory object that allows reading of McIDAS 'grids' from an ADDE server
`GridDirectoryList(URL url)` creates an GridDirectory object that allows reading of the directory of McIDAS 'grid' files from a URL

Method Summary
`ArrayList` `getDirs()` returns the directory blocks for the requested grids.
`static void` `main(String[] args)`
`String` `toString()` Prints out a formatted listing of the directory info

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GridDirectoryList

    public GridDirectoryList(String gridSource)
                      throws McIDASException

  Creates an GridDirectory object that allows reading of McIDAS 'grids' from an ADDE server

Parameters:
  `gridSource` - ADDE URL to read from as a String
Throws:
  `McIDASException` - if file cannot be opened

### GridDirectoryList

    public GridDirectoryList(URL url)
                      throws McIDASException

  creates an GridDirectory object that allows reading of the directory of McIDAS 'grid' files from a URL

Throws:
  `McIDASException` - if file cannot be opened

Method Detail

### getDirs

    public ArrayList getDirs()
                      throws McIDASException

  returns the directory blocks for the requested grids.

  Returns:
    a ArrayList of GridDirectorys
  Throws:
    `AreaFileException` - if there was a problem reading the directory
    `McIDASException`
  See Also:
    McIDAS Programmer's Manual for information on the parameters for each value.

### toString

    public String toString()

  Prints out a formatted listing of the directory info

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`